This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 170103 - Installer has unhandled exception while/after reading packages
Installer has unhandled exception while/after reading packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 06:00 EDT by Johannes Schmid
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 17:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested attachment (anacdump.txt) (65.17 KB, text/plain)
2005-10-10 13:29 EDT, Johannes Schmid
no flags Details

  None (edit)
Description Johannes Schmid 2005-10-07 06:00:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3) Gecko/20040910

Description of problem:
After setting the root password, anaconda displays "Reading package information...". This message disappears a little later and then the following unhandled exception occurs:
-----------------------------------------
File "/usr/bin/anaconda", line 1160, in ?
  intf.run(id, dispatch)
File "/usr/bin/anaconda/text.py", line 496, in run
  dispatch.gotoNext()
File "/usr/bin/anaconda/dispatch.py", line 174, in gotoNext
  self.moveStep()
File "/usr/bin/anaconda/dispatch.py", line 242, in moveStep
  rc = apply(func, self.bindArgs(args))
File "/usr/bin/anaconda/packages.py", line 172, in readPackages
  grpset = method.readComps(hdrlist)
File "/usr/bin/anaconda/installmethod.py", line 65 in readComps
  return self.readCompsViaMethod(hdlist)
File "/usr/bin/anaconda/harddrive.py", line 103 in readCompsViaMethod
  cs = groupSetFromCompsFile(fname, hdlist)
File "/usr/bin/anaconda/hdrlist.py", line 923 in groupSetFromCompsFile
  file = grabber.urlopen(filename, retry = 5)
File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 444, in urlopen
  return default_grabber.urlopen(url, **kwargs)
[... many more lines omitted, I don't want to type them here ...]
File "/usr/lib/python2.4/urllib2.py", line 358, in open
  response = self._open(req, data)
File "/usr/lib/python2.4/urllib2.py", line 376, in _open
  '_open', req)
File "/usr/lib/python2.4/urllib2.py", line 337, in _call_chain
  result = func(*args)
File "/usr/lib/python2.4/urllib2.py", line 1119, in file_open
  return self.open_local_file(req)
File "/usr/lib/python2.4/urllib2.py", line 1131, in open_local_file
  import email.Utils
ImportError: No module named email.Utils
-----------------------------------------


This happens on a Vaio PCG-Z505SX (128MB RAM).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. copy all ISO CD images + initrd.img + vmlinuz from FC4 CD1 to a FAT partition
2. boot kernel/initrd from grub
3. select FAT partition on HDD as installation source. 
4. anaconda starts in text-mode (graphics adapter is not supported)
5. select "custom" installation
6. partition HDD, configure GRUB, configure network, no firewall, no SELinux
7. set timzone and password
8. wait


Actual Results:  exception (see above) occurs

Expected Results:  package selection page should appear

Additional info:

I tried several installation methods, result is always the same.
Comment 1 Chris Lumens 2005-10-10 11:08:56 EDT
Please attach the complete /tmp/anacdump.txt to this bug report.
Comment 2 Johannes Schmid 2005-10-10 13:29:02 EDT
Created attachment 119780 [details]
Requested attachment (anacdump.txt)
Comment 4 Red Hat Bugzilla 2007-06-11 22:57:39 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.